Subject: Re: Finalizing OpenPGP/MIME?

From: [email-masked]
Date: Wed, 17 Jan 2001 16:50:37 -0800

What are the issues with regard to implementations of the features in
these drafts?  Does it matter whether implementations exist or will
ever appear?  Should the drafts be held until we have implementation
experience?

Hal Finney

> From: Thomas Roessler <[email-masked]>
>
> I suppose we should somehow bring OpenPGP/MIME to a decent end -
> it's long overdue.
>
> There haven't been any substantial changes for a long time, and the
> only thing we still have to resolve in a decent way is that ugly
> incompatibility with respect to canonical text signatures which
> hurts us badly, since it does - among other things - ruin
> one-pass-abilities for OpenPGP/MIME.  I don't think there is any
> real solution to this problem (or does anyone here have a time
> machine at hand?).  However, looking at the latest draft
> (draft-ietf-openpgp-mime-02.txt), we should most likely document the
> problem in detail.
>
> For that reason, I'd propose the changes listed below for a
> draft-*-03.txt.
>
> To everyone: Please re-read draft-ietf-openpgp-mime-02.txt and
> draft-ietf-openpgp-multsig-01.txt.  Please forward any concerns or
> problems you have to this list, so we can get out new and -
> hopefully - final drafts.
>
> To the co-authors of these documents: Please verify the affiliations
> listed for correctness.
>
> Thanks, and a happy new year to everyone,
> -- 
> Thomas Roessler				    <[email-masked]>

---

From: Thomas Roessler <[email-masked]>
Date: Thu, 18 Jan 2001 08:51:36 +0100

On 2001-01-17 16:50:37 -0800, [email-masked] wrote:

> What are the issues with regard to implementations of the
> features in these drafts?  Does it matter whether implementations
> exist or will ever appear?  Should the drafts be held until we
> have implementation experience?

draft-ietf-openpgp-mime-02 has no new _features_.  It just adds some
restrictions to cope with the incompatibilities introduced by
OpenPGP.  To the best of my knowledge, most implementations seem to
work that way anyways.

draft-ietf-openpgp-multsig-01 is the one which defines a new
feature.  I'm not aware of a complete implementation of this one.
The reading end side of the draft is done in mutt, however.